// ★コメント未記入
#if !defined(AFX_SETTINGVIEWDLG_H__B02EEF83_E9C3_44BD_992A_0E1AB1CF3C4E__INCLUDED_)
#define AFX_SETTINGVIEWDLG_H__B02EEF83_E9C3_44BD_992A_0E1AB1CF3C4E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SettingViewDlg.h : ヘッダー ファイル
//
#include "EmphasisEdit.h"
#include "LogFont.h"
#include "OwnerTabPage.h"

/////////////////////////////////////////////////////////////////////////////
// CSettingViewDlg ダイアログ

class CSettingViewDlg : public COwnerTabPage
{
// コンストラクション
public:
	CSettingViewDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	void			Confirm();
	void			ReadFromGeneral();
	void			WriteToGeneral();

protected:
	CLogFont		m_fontText;
	CLogFont		m_fontRuler;

// ダイアログ データ
	//{{AFX_DATA(CSettingViewDlg)
	enum { IDD = IDD_SETTING_VIEW };
	CEmphasisEdit	m_EmphasisTabString;
	CString	m_strTabString;
	BOOL	m_bTabConvert;
	UINT	m_uiRowGap;
	UINT	m_uiBlankWidth;
	UINT	m_uiNumberWidth;
	BOOL	m_bVisibleNumber;
	UINT	m_uiRulerHeight;
	BOOL	m_bVisibleRuler;
	BOOL	m_bFreeCursor;
	int		m_iRulerUnit;
	BOOL	m_bCaretMark;
	BOOL	m_bCaretLine;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CSettingViewDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CSettingViewDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSettingRulerfont();
	afx_msg void OnSettingFont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_SETTINGVIEWDLG_H__B02EEF83_E9C3_44BD_992A_0E1AB1CF3C4E__INCLUDED_)
